VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Host::PowerState Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Host::PowerState:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Host::PowerState` enumerated type defines the power states of a host. Constant Com::Vmware::Vcenter::Host::PowerState::POWERED_ON # The host is powered on. A host that is entering standby mode is also in this state. Constant Com::Vmware::Vcenter::Host::PowerState::POWERED_OFF # The host was specifically powered off by the user through vCenter server. This state is not a cetain state, because after vCenter server issues the command to power off the host, the host might crash, or kill all the processes but fail to power off. Constant Com::Vmware::Vcenter::Host::PowerState::STANDBY # The host was specifically put in standby mode, either explicitly by the user, or automatically by DPM. This state is not a cetain state, because after VirtualCenter issues the command to put the host in standby state, the host might crash, or kill all the processes but fail to enter standby mode. A host that is exiting standby mode is also in this state.

## Member Function Documentation

public method Com::Vmware::Vcenter::Host::PowerState::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Host::PowerState enumeration.

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 12
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $self = $class->SUPER::new();
my $bindingType = new Com::Vmware::Vapi::Bindings::Type::EnumType(
'name' => 'com.vmware.vcenter.host.power_state',
'binding_class' => 'Com::Vmware::Vcenter::Host::PowerState');
$class->SUPER::set_binding_type('binding_type' => $bindingType);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Host.pm